Name: jakarta-commons-collections
Version: 3.1
Release: alt0.M24.1

Summary: Jakarta Commons Collections Package
License: Apache Software License 2.0
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/collections
Source: http://www.apache.org/dist/jakarta/commons/collections/commons-collections-%version-src.tar.gz
Source1: jakarta-commons-collections-build.properties

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel ant ant-junit junit
BuildPreReq: java-common >= 1.2 rpm-build-java
#BuildPreReq: j2se1.4-sun-javadoc

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
The introduction of the Collections API by Sun in JDK 1.2 has been a
boon to quick and effective Java programming. Ready access to powerful
data structures has accelerated development by reducing the need for
custom container classes around each core object. Most Java2 APIs are
significantly easier to use because of the Collections API.
However, there are certain holes left unfilled by Sun's
implementations, and the Jakarta-Commons Collections Component strives
to fulfill them. Among the features of this package are:
- special-purpose implementations of Lists and Maps for fast access
- adapter classes from Java1-style containers (arrays, enumerations) to
Java2-style collections.
- methods to test or create typical set-theory properties of collections
such as union, intersection, and closure.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%package devel
Summary: Test framework and documentation for %name
Group: Development/Java
Requires: java-common >= 1.2 %name = %version-%release

%description devel
Test framework and documentation for developers

%prep
%setup -qn commons-collections-%version
%__cp %SOURCE1 build.properties

%build
%__ant dist

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 build/commons-collections-%version.jar %buildroot%_javadir/%name.jar
%__install -m644 build/commons-collections-testframework-%version.jar %buildroot%_javadir/%name-testframework.jar

%__mv  build/docs/apidocs %buildroot%_javadocdir/%name/
#%__mv  build/docs/testframework %buildroot%_javadocdir/%name/

%__mv  *.txt %buildroot%_docdir/%name-%version/
%__mv  *.html %buildroot%_docdir/%name-%version/

%files
%_javadir/%name.jar
%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%exclude %_docdir/%name-%version/DEVELOPERS-GUIDE.html

%files javadoc
%_javadocdir/%name

%files devel
%_javadir/%name-testframework.jar
%_docdir/%name-%version/DEVELOPERS-GUIDE.html

%changelog
* Wed Apr 20 2005 Alexey Borovskoy <alb@altlinux.ru> 3.1-alt0.M24.1
- Backport to Master 2.4
- Fallback to stable version
- Sync with my local repo

* Mon Mar 21 2005 Vladimir Lettiev <crux@altlinux.ru> 3.2-alt0.2
- rpm-build-java macroces
- cvs 20050321

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2-alt0.1
- 3.2-dev (cvs 20041024)
- fix build with j2se1.5

* Thu Sep 09 2004 Vladimir Lettiev <crux@altlinux.ru> 3.1-alt1
- 3.1
- spec cleanup

* Wed Sep 08 2004 Vladimir Lettiev <crux@altlinux.ru> 0:2.1.1-alt1
- Rebuild for ALT Linux Sisyphus

* Sun Jun 27 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.1.1-1jpp
- Update to 2.1.1

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:2.1-4jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org > 2.1-3jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 2.1-2jpp
- fix ASF license and add package tag

* Thu Oct 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.1-1jpp
- 2.1
- remove build patch about Java APIS link

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-4jpp
- override java.io.tmpdir to avoid build use /tmp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-3jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-2jpp
- added short names in %_javadir, as does jakarta developpers

* Mon May 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1jpp
- 2.0
- distribution tag
- group tag
- regenerated patch

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-5jpp
- renamed to %name
- additional sources in individual archives
- versioned dir for javadoc
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- javadoc into javadoc package

* Sat Nov 3 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- used original summary
- added missing license

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- first unified release
- used web page description
- s/jPackage/JPackage

* Mon Aug 27 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1mdk
- first Mandrake release
